<?php 
error_reporting(0);
ini_set(“display_errors”, 0 );
include "protege_professor.php";

$idvenda     = $_GET["idvenda"];
$tipo_venda  = $_GET["tipo"];
$iduser = $_SESSION['id_usuario'];
include "conexao.php";

$query_master = mysqli_query($db, "SELECT `status_venda` FROM `venda` WHERE `idvenda` = $idvenda")or die(mysqli_error($db));

if(mysqli_num_rows($query_master)){
    $assoc = mysqli_fetch_assoc($query_master);

    if($assoc['status_venda'] == 3){
      $valida = 1;
    }elseif($assoc['status_venda'] == 2){
      $valida = 0;
    }else{
      $valida = -1;
    }
}


if(isset($_GET['primeira_parcela'])){
  $query = mysqli_query($db, "SELECT * FROM `parcelas` WHERE `venda_idvenda` = $idvenda AND fluxo = 0")or die(mysqli_error($db));

  if(mysqli_num_rows($query) == 0){



    $query_master = mysqli_query($db, "SELECT venda.*, empreendimento_cadastro.idempreendimento_cadastro FROM `venda` INNER JOIN lote ON lote.idlote = venda.lote_idlote INNER JOIN produto ON produto.idproduto = lote.produto_idproduto INNER JOIN empreendimento_cadastro ON empreendimento_cadastro.idempreendimento_cadastro = produto.empreendimento_idempreendimento WHERE venda.idvenda = $idvenda")or die(mysqli_error($db));

    if(mysqli_num_rows($query_master)){

      $assoc_master = mysqli_fetch_assoc($query_master);

      $query_master = mysqli_query($db, "SELECT * FROM `simulacao_parcela` WHERE `id_venda` = ".$assoc_master['id_simulacao']." ORDER BY STR_TO_DATE(data_vencimento, '%d-%m-%Y') ASC LIMIT 1")or die(mysqli_error($db));

      if(mysqli_num_rows($query_master)){

        while ($assoc_parcela = mysqli_fetch_assoc($query_master)) {

                $inserir2 = mysqli_query($db, "INSERT INTO parcelas (

                  venda_idvenda,
                  valor_parcelas,
                  data_vencimento_parcela,
                  situacao,
                  descricao,
                  tipo_venda,
                  fluxo,
                  cliente_id_novo,
                  empreendimento_id_novo,
                  centrocusto_id,
                  numero_sequencia

                )

                values (
                '$idvenda',
                '".$assoc_parcela['valor']."',
                '".$assoc_parcela['data_vencimento']."',
                'Em Aberto',
                '".$assoc_parcela['tipo_parcela']."',
                '2',
                '0',
                '".$assoc_master['cliente_idcliente']."',
                '".$assoc_master['idempreendimento_cadastro']."',
                '1',
                 '".$assoc_parcela['num_sequencia']."'

              )


              ");
        }

      }
    }
  }

}


function dados_cliente_locacao($venda_id){

   include "conexao.php";
   $busca_conta = mysqli_query($db, "SELECT nome_cli
      FROM locacao
      INNER JOIN cliente ON locacao.cliente_idcliente = cliente.idcliente                   
      WHERE idlocacao = '$venda_id'");

   while ($conta = mysqli_fetch_assoc($busca_conta)) {


      $nome_cli = $conta["nome_cli"];


      $dados["nome_cli"] = $nome_cli;
      $dados["quadra"]   = '';
      $dados["lote"]     = '';

   }

   return $dados;
}



function dados_cliente_empreendimento($venda_id){

   include "conexao.php";
   $busca_conta = mysqli_query($db, "SELECT nome_cli, quadra, lote
      FROM venda
      INNER JOIN cliente ON venda.cliente_idcliente = cliente.idcliente
      INNER JOIN produto ON venda.produto_idproduto = produto.idproduto
      INNER JOIN lote ON venda.lote_idlote = lote.idlote
      WHERE idvenda = '$venda_id'");

   while ($conta = mysqli_fetch_assoc($busca_conta)) {


      $nome_cli = $conta["nome_cli"];
      $quadra   = $conta["quadra"];
      $lote     = $conta["lote"];

      $dados["nome_cli"] = $nome_cli;
      $dados["quadra"]   = $quadra;
      $dados["lote"]     = $lote;

 }

 return $dados;
}

function conta_corrente($idcontacorrente){

   include "conexao.php";
   $busca_conta = mysqli_query($db, "SELECT banco
      FROM contacorrente
      WHERE idcontacorrente = '$idcontacorrente'");

   while ($conta = mysqli_fetch_assoc($busca_conta)) {


      $banco    = $conta["banco"];
      //echo "banco é o .: " . $banco; die();


 }

 return $banco;
}

function conta_locacao($idvenda){

   include "conexao.php";
   $busca_conta = mysqli_query($db, "SELECT contacorrente
      FROM locacao
      WHERE idlocacao = '$idvenda'");

   while ($conta = mysqli_fetch_assoc($busca_conta)) {


      $contacorrente    = $conta["contacorrente"];

 }

 return $contacorrente;
}

function conta_empreendimento($idvenda){

   include "conexao.php";
   $busca_conta = mysqli_query($db, "SELECT contacorrente_id
      FROM venda
      INNER JOIN produto ON venda.produto_idproduto = produto.idproduto 
      INNER JOIN empreendimento ON produto.empreendimento_idempreendimento = empreendimento.idempreendimento 
      INNER JOIN empreendimento_cadastro ON empreendimento.empreendimento_cadastro_id = empreendimento_cadastro.idempreendimento_cadastro 
      INNER JOIN empreendimento_centrocusto ON empreendimento_cadastro.idempreendimento_cadastro = empreendimento_centrocusto.empreendimento_id
      WHERE idvenda = '$idvenda'");



   while ($conta = mysqli_fetch_assoc($busca_conta)) {


      $contacorrente    = $conta["contacorrente_id"];

 }

 return $contacorrente;
}



if($tipo_venda == 2)
{
    $inner = 'INNER JOIN venda ON venda.idvenda = parcelas.venda_idvenda';
    $tabela_inner = 'venda';
}
if($tipo_venda == 3)
{
    $inner = 'INNER JOIN venda_imovel ON venda_imovel.idvenda_imovel = parcelas.venda_idvenda';
    $tabela_inner = 'venda_imovel';
}
if($tipo_venda == 1)
{
    $inner = 'INNER JOIN locacao ON locacao.idlocacao = parcelas.venda_idvenda';
    $tabela_inner = 'locacao';

}

if($tipo_venda == 1){

   $contacorrente = conta_locacao($idvenda);

}else{
   $contacorrente = conta_empreendimento($idvenda);

}


$banco = conta_corrente($contacorrente);

$cont = 0;
date_default_timezone_set('America/Sao_Paulo');               
$hoje = date('Y-m-d');
function converterdata($dateSql){
   $ano= substr($dateSql, 6);
   $mes= substr($dateSql, 3,-5);
   $dia= substr($dateSql, 0,-8);
   return $ano."-".$mes."-".$dia;
}



?>



<!DOCTYPE html>
<!--[if IE 8]> <html lang="en" class="ie8"> <![endif]-->
<!--[if !IE]><!-->
<html>
<!--<![endif]-->

<head><meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  
  <title>Immobile | Business</title>
  <meta content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" name="viewport" />
  <meta content="" name="description" />
  <meta content="" name="author" />
  
  <!-- ================== BEGIN BASE CSS STYLE ================== -->
  <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700" rel="stylesheet">
  <link href="https://immobilebusiness.com.br/admin/assets/plugins/jquery-ui/themes/base/minified/jquery-ui.min.css" rel="stylesheet" />
  <link href="https://immobilebusiness.com.br/admin/assets/plugins/bootstrap/css/bootstrap.min.css" rel="stylesheet" />
  <link href="https://immobilebusiness.com.br/admin/assets/plugins/font-awesome/css/font-awesome.min.css" rel="stylesheet" />
  <link href="https://immobilebusiness.com.br/admin/assets/css/animate.min.css" rel="stylesheet" />
  <link href="https://immobilebusiness.com.br/admin/assets/css/style.min.css" rel="stylesheet" />
  <link href="https://immobilebusiness.com.br/admin/assets/css/style-responsive.min.css" rel="stylesheet" />
  <link href="https://immobilebusiness.com.br/admin/assets/css/theme/default.css" rel="stylesheet" id="theme" />
  <!-- ================== END BASE CSS STYLE ================== -->
  
  <!-- ================== BEGIN BASE JS ================== -->
  <script src="https://immobilebusiness.com.br/admin/assets/plugins/pace/pace.min.js"></script>
   <script src="https://immobilebusiness.com.br/admin/assets/plugins/jquery/jquery-1.9.1.min.js"></script>

   <!-- ================== END BASE JS ================== -->
   <script type="text/javascript">

      function atualizar_parcela(){

         document.nome.action = "atualizar_parcela.php";
         document.nome.submit();

    }

          function alterar_descricao(){

         document.nome.action = "alterar_descricao.php";
         document.nome.submit();

    }

          function altera_desconto(){

         document.nome.action = "altera_desconto.php";
         document.nome.submit();

    }

    function antecipar(){
         document.nome.action = "recebe_antecipar.php";
         document.nome.submit();


    }

    function adicionar_parcelas(){

         document.nome.action = "parcelas_adicionar.php";
         document.nome.submit();

    }

    function dia_vencimento(){

         document.nome.action = "alterar_dia_vencimento.php";
         document.nome.submit();

    }

    function receber(){

         document.nome.action = "receber_parcelas.php";
         document.nome.submit();

    }
    function renegociar(){

         document.nome.action = "renegociar.php";
         document.nome.submit();

    }
    function vincular(){

         document.nome.action = "boletos.php";
         document.nome.submit();

    }

    function acao(){

         document.nome.action = "igpm.php";
         document.nome.submit();

    }





function remessa(){

document.nome.action = "prepara_boleto.php?envio=1";
document.nome.submit();

}



function boletos(){

document.nome.action = "prepara_boleto.php?envio=2";
document.nome.submit();

}



                function verificaStatus1(nome){


                      // var checado = $(obj).find("input[name='analisar']:checked").length > 0;
                      var ticado = document.querySelector('#sel-tudo2');
                      console.log(ticado.checked)



                      var pega = document.querySelectorAll('#nome input[type=checkbox]');

                      pega.forEach(function(ef){


                           let visivel = ef.style.display
                           let nome_tag = ef.name




                           if(visivel == 'inline' && nome_tag == 'antecipar[]'){
                               if(ticado.checked == true){

                                  ef.checked=1
                             }
                             if(ticado.checked == false){

                                  ef.checked=0
                             }


                        }



                   });






                 }





                 function verificaStatus(nome){
                   if(nome.form.tudo.checked == 0)
                   {
                      nome.form.tudo.checked = 1;
                      marcarTodos(nome);
                 }
                 else
                 {
                      nome.form.tudo.checked = 0;
                      desmarcarTodos(nome);
                 }
            }

            function marcarTodos(nome){
              for (i=0;i<nome.form.elements.length;i++)
                 if(nome.form.elements[i].type == "checkbox")
                    nome.form.elements[i].checked=0
          }

          function desmarcarTodos(nome){
            for (i=0;i<nome.form.elements.length;i++)
               if(nome.form.elements[i].type == "checkbox")
                  nome.form.elements[i].checked=1
        }

   </script>


   <style type="text/css">

   #imp_boletos{
       display: none;
  }
  #btn-voltar{
       display: none;
  }
  .check-remessa{
       display: none;
  }
  .check-vinculo{
       display: none;
  }

</style>
</head>
<body>


 <!-- begin #page-loader -->
 <div id="page-loader" class="fade in"><span class="spinner"></span></div>
 <!-- end #page-loader -->

 <!-- begin #page-container -->
 <div id="page-container" class="fade page-sidebar-fixed page-header-fixed">


    <?php include "topo.php" ?>

    <!-- begin #content -->
    <div id="content" class="content">
       <!-- begin breadcrumb -->
       <ol class="breadcrumb pull-right">


<!--            <?php// if (in_array('4', $idrota)) { ?>
           <li><button type="submit"  onclick="antecipar()" name="enviar" id="envia" style="background: transparent; border-style: none; outline-style: none;"><spam id="env" class="label label-primary" style="display: inline">Antecipar</spam></button></li>
                   <input type="submit" name="enviar" value="Antecipar" id="envia" class="btn btn-success">
-->                    <?php //} ?>
 
<?php


 if (in_array('4', $idrota)) { ?>
   <li><a href="#modal_cliente" data-toggle='modal' id="nantecipar" data-target='#modal_cliente'><span class="label label-primary">Antecipar</span></a></li>

<?php } ?>  



<?php if (in_array('4', $idrota)) { ?>
<li><a href="#" onclick="alterar_descricao()"><span id="btn-atualizar-parcela" class="label label-primary">Alterar Descrição</span></a></li>
<?php } ?>  

<?php if (in_array('4', $idrota)) { ?>
<li><a href="#" onclick="altera_desconto()"><span id="btn-atualizar-parcela" class="label label-primary">Alterar Desconto</span></a></li>
<?php } ?>  





<?php if (in_array('4', $idrota)) { ?>
<li><a href="#" onclick="atualizar_parcela()"><span id="btn-atualizar-parcela" class="label label-primary">Atualizar Parcela</span></a></li>
<?php } ?>   

<?php if (in_array('4', $idrota)) { ?>
<li><a href="#" onclick="renegociar()"><span id="btn-renegociar" class="label label-primary">Renegociar</span></a></li>
<?php } ?> 

<?php if (in_array('4', $idrota)) { ?>
<li><a href="#" onclick="dia_vencimento()"><span id="btn-dia-vencimento" class="label label-primary">Alterar Dia Vencimento</span></a></li>
<?php } ?> 

<?php if (in_array('4', $idrota)) { ?>
<li><a href="#" onclick="adicionar_parcelas()"><span id="btn-addparcelas" class="label label-primary">Adicionar Parcelas</span></a></li>
<?php } ?> 

<?php if (in_array('4', $idrota)) { ?>
<li><a href="#" onclick="acao()"><span id="btn-igpm" class="label label-primary">IGPM</span></a></li>
<?php } ?>
<?php if (in_array('4', $idrota)) { ?>
<li><a href="#" onclick="vincular()"><span id="btn-vincular" class="label label-primary">VINCULAR</span></a></li>
<?php } 


  ?>
  <li><a href="parcelas.php?idvenda=<?php echo($idvenda) ?>&tipo=<?php echo($tipo_venda) ?>&primeira_parcela=1"><span class="label label-primary">Lançar Primeira Parcela</span></a></li>
  <?php




?>
<?php if (in_array('4', $idrota)) { ?>
<li><a href="#" onclick="remessa()"><span id="btn-geraremessa" class="label label-primary">Gerar Remessa</span></a></li>
<?php } ?>
<?php if (in_array('4', $idrota)) { ?>
<li><a href="#" onclick="remessa1()"><span id="btn-geraremessa2" style="display: none" class="label label-primary">Gerar Remessa</span></a></li>
<?php } ?>
<?php if (in_array('4', $idrota)) { ?>
<li><a href="#" onclick="funcaoBoletos()"><span id="func_boletos" class="label label-primary">Boletos</span></a></li>
<?php } ?>


<?php if (in_array('4', $idrota)) { ?>
<li><a href="#" onclick="voltaBotoes()"><span  id="btn-voltar"  class="label label-success">Voltar</span></a></li>
<?php } ?>

<?php if (in_array('4', $idrota)) { ?>
<li><a href="#" onclick="boletos()"><span  id="imp_boletos"  class="label label-primary">Imprimir Boletos</span></a></li>
<?php } ?>


</ol>
<!-- end breadcrumb -->
<!-- begin page-header -->
<h1 class="page-header">Parcelas</h1>
<?php
if(isset($_GET['erro'])){
    $err = $_GET['erro'];

    if($err == 'p'){

       ?>
    <div id="alert1" class="alert alert-danger" ><strong> Atenção : </strong> Não foi possivel gerar as remessas, Verifique se parcela esta vencida ou ja foi gerado remessa !!! </div>

    <?php 


    }elseif($err == 'b'){
      ?>
           <div id="alert1" class="alert alert-warning" ><strong> Atenção : </strong> Você não escolheu nenhuma Parcela para geração de Boleto </div>

     <?php

    }else{

  ?>
    <div id="alert2" class="alert alert-danger" ><strong> Atenção : </strong> Não foi possivel vincular as parcelas .  Datas de Vencimento estão diferentes !!! </div>

    <?php 

    }

  



}

?>
<!-- end page-header -->

<!-- begin row -->
<?php 

function verificarParcelaRemessa($idparcela){
   include "conexao.php";

   $query = "SELECT id_parcela FROM `remessa` where id_parcela = '$idparcela' AND status = 1";
   $executa = mysqli_query($db,$query) or die ("erro ao verificar parcela na remessa");
   $busca = mysqli_fetch_assoc($executa);

   $dado = $busca['id_parcela'];

   if($dado == ''){
      return false;

 }else{

      return true;
 }


}



?>








<div class="row">

    <!-- begin col-6 -->
    <div class="col-md-12">
       <!-- begin panel -->
       <div class="panel panel-inverse" data-sortable-id="table-basic-4">
           <div class="panel-heading">
              <div class="panel-heading-btn">
                 <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
                 <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-repeat"></i></a>
                 <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
                 <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
            </div>

            <?php

            if($tipo_venda == 1){
                 $dados_cliente = dados_cliente_locacao($idvenda);

             }else{
                $dados_cliente = dados_cliente_empreendimento($idvenda);

             }



    ?>
    <h4 class="panel-title"><?php echo $dados_cliente["nome_cli"] ?> - <?php echo $dados_cliente["quadra"] ?>/<?php echo $dados_cliente["lote"] ?></h4>



</div>
<div class="panel-body">
 <form action="recebe_antecipar.php" method="POST" id="nome" name="nome">
     <input type="hidden" name="idvenda" id="idvenda" value="<?php echo $idvenda; ?>">
     <input type="hidden" name="tipo" value="<?php echo $tipo_venda; ?>">
     <input type="hidden" name="usuario" value="<?php echo $imobiliaria_idimobiliaria; ?>">
     <input type="hidden" name="ori" value="2">
     <div class="table-responsive">
         <table class="table table-hover" id="tab-parcela">
            <thead>
               <tr>
                  <th> <input id="sel-tudo1" type='checkbox' name='tudo' onclick="verificaStatus(this)" />
                     <input id="sel-tudo2" style="display: none;" type='checkbox' name='tudo' onclick="verificaStatus1(this)" />

                </th>
                <th>ID / Nosso Numero</th>
                <th>Nº Parcela</th>

                <th>Descrição</th>
                <th>Valor Corrigido</th>
                <th>Data Vencimento</th>
                <th> Situação</th>
                <th> Valor Recebido</th>
                <th> Data de Recebimento</th>
                <th> Vinculo</th>
                <th> Data Atualizada</th>
                <th> Remessa</th>


           </tr>
      </thead>
      <tbody>
          <?php     

          if($tipo_venda == 1){
              $valor_multa = (10 / 100);
         }else{
              $valor_multa = (2 / 100);
         }


         $valor_juros = (0.033 / 100);


         $cont_atualiza_entrada = 0;
         $cont_atualiza_finan = 0;


         $cont_vinculo = 0;


         include "conexao.php";
         $query_amigo = "SELECT acre_parcela, desc_parcela, data_boleto, idparcelas, remessa,vinculo, valor_parcelas, numero_sequencia,situacao, descricao, valor_recebido, data_recebimento, idcliente, STR_TO_DATE(data_vencimento_parcela, '%d-%m-%Y') as venc FROM parcelas ".$inner."  

         INNER JOIN cliente ON ".$tabela_inner.".cliente_idcliente = cliente.idcliente
         WHERE venda_idvenda = $idvenda AND tipo_venda = $tipo_venda AND fluxo = 0 order by venc, idparcelas, numero_sequencia Asc";



         $executa_query = mysqli_query ($db, $query_amigo) or die ("Erro ao listar empreendimento");
         $count = 1;
         $vinc = 'vinc';
            while ($buscar_amigo = mysqli_fetch_assoc($executa_query)) {//--verifica se são amigos

                $idparcelas              = $buscar_amigo["idparcelas"];
                $valor_parcelas          = $buscar_amigo["valor_parcelas"];
                $data_vencimento_parcela = $buscar_amigo["venc"];
                $situacao                = $buscar_amigo["situacao"];
                $descricao               = $buscar_amigo["descricao"];
                $valor_recebido          = $buscar_amigo["valor_recebido"];
                $data_recebimento        = $buscar_amigo["data_recebimento"];
                $idcliente               = $buscar_amigo["idcliente"];
                $numero_sequencia        = $buscar_amigo["numero_sequencia"];
                $vinculo                 = $buscar_amigo["vinculo"];
                $remessa                 = $buscar_amigo["remessa"];
                $data_boleto             = $buscar_amigo["data_boleto"];
                $acre_parcela            = $buscar_amigo["acre_parcela"];
                $desc_parcela            = $buscar_amigo["desc_parcela"];


           // $valor_recebido = ($valor_recebido + $acre_parcela) - $desc_parcela;


                if($descricao == 'Aluguel'){            
                   $cont = $cont + 1;
              }





              if($remessa == '0'){
                   $remessa_exbir = '<span class="badge badge-danger">Não</span>';
              }else{
               $remessa_exbir = '<span class="badge badge-success">Sim</span>';


          }




          if($data_boleto != ''){

               $data_vencimento_tratada = converterdata($data_boleto);

          }else{

               $data_vencimento_tratada  = $data_vencimento_parcela;
          }

          $data_recebimento_tratada = converterdata($data_recebimento);

          if($valor_recebido == ''){
               $valor_recebido = 0.00;
          }



          ?>

          <?php

          $stilo ='';



          if($situacao == 'Pago'){

               $stilo = 'success';

               if(strtotime($data_vencimento_tratada) >= strtotime($data_recebimento_tratada)){ 

                  $valor_parcelas = $valor_parcelas;

             }else{

                  $time_inicial = strtotime($data_vencimento_tratada);
                  $time_final   = strtotime($data_recebimento_tratada);

                  $diferenca    = $time_final - $time_inicial;

         $dias = (int)floor( $diferenca / (60 * 60 * 24)); // 225 dias

         $multa = ($valor_parcelas * $valor_multa);
            $juros = ($valor_parcelas * (0.033/100) * $dias);

            $valor_parcelas =   $valor_parcelas;

       }

  }else{

    $stilo = 'white';



    $ver_parce_remessa = verificarParcelaRemessa($idparcelas); 





    if(strtotime($data_vencimento_tratada) < strtotime($hoje) ) { 

       $stilo = 'danger';
       $time_inicial = strtotime($hoje);
       $time_final   = strtotime($data_vencimento_tratada);

       $diferenca = $time_inicial - $time_final; 

                            $dias = (int)floor( $diferenca / (60 * 60 * 24)); // 225 dias

                            $multa = ($valor_parcelas * $valor_multa);
                            $juros = ($valor_parcelas * $valor_juros * $dias);

                            $valor_parcelas = $valor_parcelas;


                       }else{


                            if($ver_parce_remessa){
                                $stilo = 'warning';
                           }else{

                            $valor_parcelas = $valor_parcelas;
                       }
                  }






             }


             ?>

             <tr class="<?php echo $stilo ?>">

                  <td id="tdcheck"><?php if($stilo != 'success'){ 

                      if($stilo != 'warning'){


                          if(!$ver_parce_remessa){
                              //se nao tiver remessa
                             if($cont_vinculo != $vinculo or $vinculo == 0){
                                ?><input type="checkbox" class="restante" name="antecipar[]" value='<?php echo  $idparcelas ?>'>
                                <?php } 
                           }

                      }else{
                        // class="check-remessa"
                         ?><input type="checkbox" class="check-remessa" name="antecipar[]" value='<?php echo  $idparcelas ?>'>
                         <?php

                    }

               }    if($vinculo != ''){

                  if($cont_vinculo != $vinculo or $vinculo == 0){
                     ?><input type="checkbox" class="check-vinculo" name="antecipar[]" value='<?php echo  $idparcelas?>'>
                     <?php

                     $cont_vinculo = $vinculo;
                }
           } ?> </td>



           <td><?php echo $idparcelas ?></td>
           <td><?php echo $numero_sequencia ?></td>
           <td><?php echo $descricao ?></td>
           <td><?php echo 'R$' . number_format($valor_parcelas, 2, ',', '.'); ?></td>
           <td>

             <?php

             $originalDate = $data_vencimento_parcela;
             $newDate = date("d-m-Y", strtotime($originalDate));
             echo $newDate ?>


        </td>
        <td><?php echo $situacao ?></td>
        <td><?php echo 'R$' . number_format($valor_recebido, 2, ',', '.'); ?></td>
        <td><?php echo $data_recebimento ?></td>
        <td id="<?php echo $vinc.$count; $count++?>" class="vinc" ><?php echo $vinculo ?></td>
        <td><?php echo $data_boleto ?></td>

        <td id="tdrem">

             <?php 

             if($situacao == 'Em Aberto'){
                echo $remessa_exbir;
           } ?>


      </td>

 </tr>

 <?php



} ?>

<tr>
  <td>

  </td>

  <td></td>
  <td></td>
  <td></td>
  <td></td>
  <td></td>
  <td></td>
  <td></td>
  <td></td>
  <td></td>
  <td></td>
  <td></td>


</tr>
</tbody>
</table>
</div>
</form>
</div>
</div>
<!-- end panel -->

</div>
<!-- end col-6 -->
</div>


</div>






<!--  Modal para antecipação de parcelas -->



<div class="modal fade" id="modal_cliente"  role="dialog" >  
  <div class="modal-dialog modal-md" style="background: white;">  
   <div class="panel-heading" style="background: black">
    <form method="POST" action="vinc_remessa_antecipa.php">

     <spam style="color: white">Dados do Cliente:</spam>
   </div>

   <div style="height: auto; background: white; padding: 40px">


     <div id="msg">

      <table class="table table-responsive">

        </tr><tr><td>
          <strong>Data de Pagamento</strong></td><td>
            <div class="input-group input-daterange">
              <input type="date" class="form-control" name="data_atualizada" placeholder="Data de Pagamento" value="<?php echo date('Y-m-d');  ?>" />
            </div></td></tr>


        <tr>
          <td><strong>Qtd Parcelas:</strong></td>
          <td><input class="form-control" type="number" name="qtd_ant" id="qtd_ant"></td>

        </tr>

        <tr>
          <td><strong>Valor:</strong></td>
          <td><div id="valor_antecipado">

          </div></td>
          </table>
          <hr>

          <input type="hidden" id="hqtd" name="qtd_parcelas" value=""/>                                                    





          <div>
            <p><input type="submit" class="btn btn-success btn-lg" role="button" value="Confirmar Antecipação" /></p>
          </form>
        </div>                                                        

      </div>





    </div>


  </div>

</div>  


<!-- *************************************************************
-->





<div class="modal fade" id="destrava"  role="dialog" >  
  <div class="modal-dialog modal-md" style="background: white;">  
   <div class="panel-heading" style="background: black">
     <spam style="color: white">Permissao para Gerar Novamente a Remessa:</spam>
   </div>
   <div style="height: auto; background: white; padding: 40px">
     <div id="msg">
      <input type="hidden" name="id_user" id="id_user" value="<?php  echo $iduser?>">
      <table class="table table-responsive">
        <tr>
          <th><strong>Motivo</strong></th>
        </tr>
        <tr>

          <td rowspan="4" colspan="5" id="tdobs"  style="border: solid 1px black; font-weight: bold">
            <div id='iobs'><label><strong></strong></label><textarea rows="10" id="motivodes"  value="" cols="60" ></textarea> </div></td>
      
        </tr>
              </table>

        

            <p><input type="submit" class="btn btn-success" role="button" id="destravar" value="Confirmar" /></p>
        


        </div>                                                        
      </div>
    </div>
  </div>
</div>  




<!-- end #content -->


<!-- begin scroll to top btn -->
<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
<!-- end scroll to top btn -->
</div>
<!-- end page container -->

<!-- ================== BEGIN BASE JS ================== -->

<script src="https://immobilebusiness.com.br/admin/assets/js/jquery.maskMoney.js" type="text/javascript"></script>

<script type="text/javascript">

   $(function(){
      $("#valor_recebido").maskMoney({symbol:'R$ ', 
         showSymbol:true, thousands:'.', decimal:',', symbolStay: true});
 })


</script>



<script src="https://immobilebusiness.com.br/admin/assets/plugins/jquery/jquery-migrate-1.1.0.min.js"></script>
<script src="https://immobilebusiness.com.br/admin/assets/plugins/jquery-ui/ui/minified/jquery-ui.min.js"></script>
<script src="https://immobilebusiness.com.br/admin/assets/plugins/bootstrap/js/bootstrap.min.js"></script>
  <!--[if lt IE 9]>
    <script src="https://immobilebusiness.com.br/admin/assets/crossbrowserjs/html5shiv.js"></script>
    <script src="https://immobilebusiness.com.br/admin/assets/crossbrowserjs/respond.min.js"></script>
    <script src="https://immobilebusiness.com.br/admin/assets/crossbrowserjs/excanvas.min.js"></script>
  <![endif]-->
  <script src="https://immobilebusiness.com.br/admin/assets/plugins/slimscroll/jquery.slimscroll.min.js"></script>
  <script src="https://immobilebusiness.com.br/admin/assets/plugins/jquery-cookie/jquery.cookie.js"></script>
  <!-- ================== END BASE JS ================== -->
  
  <!-- ================== BEGIN PAGE LEVEL JS ================== -->
  <script src="https://immobilebusiness.com.br/admin/assets/js/apps.min.js"></script>
  <!-- ================== END PAGE LEVEL JS ================== -->
  
  <script>

    $('#qtd_ant').click(function(){
     /* Configura a requisição AJAX */
     $.ajax({
      url : 'calcula_antecipar.php', /* URL que será chamada */ 
      type : 'POST', /* Tipo da requisição */ 
      data: 'idvenda=' + $('#idvenda').val() + '&qtd_antecipar=' + $('#qtd_ant').val()+'&datefinal='+$('input[name="data_atualizada"]').val(), /* dado que será enviado via POST */
      dataType: 'json', /* Tipo de transmissão */
      success: function(data){

        var $etapa = $('#valor_antecipado');
        $etapa.empty();

        $etapa.append((data.valor).toLocaleString('pt-BR', {style: 'currency', currency: 'BRL'}));
                   // $etapa.append(data.idparcela);
                   //$etapa.append(($('#hqtd').val(data.idparcela)));
                   $('#hqtd').val(data.idparcela);

                 }
               });   
     return false;    
   });

     $('input[name="data_atualizada"]').blur(function(){
     /* Configura a requisição AJAX */
         $.ajax({
          url : 'calcula_antecipar.php', /* URL que será chamada */ 
          type : 'POST', /* Tipo da requisição */ 
          data: 'idvenda=' + $('#idvenda').val() + '&qtd_antecipar=' + $('#qtd_ant').val()+'&datefinal='+$('input[name="data_atualizada"]').val(), /* dado que será enviado via POST */
          dataType: 'json', /* Tipo de transmissão */
          success: function(data){

            var $etapa = $('#valor_antecipado');
            $etapa.empty();

            $etapa.append((data.valor).toLocaleString('pt-BR', {style: 'currency', currency: 'BRL'}));
                       // $etapa.append(data.idparcela);
                       //$etapa.append(($('#hqtd').val(data.idparcela)));
                       $('#hqtd').val(data.idparcela);

                     }
                   });   
         return false;    
       });


  $(document).on("click", "#func_boletos", function(){


                   //window.location.reload();
                   document.getElementById("nome").reset();
                    $("#func_boletos").trigger("click");
             

  

           });




       function funcaoBoletos(){
            

         let verrem =''



         //  $("#tdrem span").text();0


        let teststring = '';
        let pegavalue = '';
         $('.danger').each(function(index, el) {
             // verrem = $("#tdrem span").text();
             
              teststring = $(this).children().next('#tdrem').text();
              teststring = teststring.trim();
              pegavalue = $(this).children("#tdcheck").next().text();

          

             if( teststring == 'Sim'){

               $(this).children('#tdcheck').html("<input type='checkbox' class='check-remessa' name='antecipar[]' value='"+pegavalue+"' style='display: inline';>");

              // if($(this).text() == 'Sim'){



                 //   console.log("teste" + $(this).parent(0).html());


                    //  vvalor = el.children[9].innerHTML;


                    // if(vvalor == ""){
                    //               // alert(valor)
                    //               el.children[0].children[0].style.display = "inline";
                    //          }


                            
                    
      
              
                 // console.log($(this).parent("#tdcheck"));    

              }
            

            //  console.log($(this).text());


         });

      //  alert('disparo');

          seltudo1 = document.querySelector('#sel-tudo1');
          seltudo1.style.display = "none";
          seltudo1 = document.querySelector('#nantecipar');
          seltudo1.style.display = "none";


          seltudo2 = document.querySelector('#sel-tudo2');
          seltudo2.style.display = "inline";
          vincular = document.querySelector('#btn-vincular');
          vincular.style.display = "none";
          gerarremessa = document.querySelector('#btn-geraremessa');
          gerarremessa.style.display = "none";
          igpmm = document.querySelector('#btn-igpm');
          igpmm.style.display = "none";
          addparcela = document.querySelector('#btn-addparcelas');
          addparcela.style.display = "none";
          alteravendimento = document.querySelector('#btn-dia-vencimento');
          alteravendimento.style.display = "none";
          renegociarr = document.querySelector('#btn-renegociar');
          renegociarr.style.display = "none";
          atualizaparcela = document.querySelector('#btn-atualizar-parcela');
          atualizaparcela.style.display = "none";
          imprimirboletos = document.querySelector('#imp_boletos');
          imprimirboletos.style.display = "inline";
          funcboletos = document.querySelector('#func_boletos');
          funcboletos.style.display = "none";
          voltarbotoes = document.querySelector('#btn-voltar');
          voltarbotoes.style.display = "inline";


             // var checkremessa = document.querySelectorAll('.check-remessa');
             // checkremessa.forEach(el =>  el.style.display = "inline");


             // var checkvinculo = document.querySelectorAll('.check-vinculo');
             // checkvinculo.forEach(el =>  el.style.display = "inline");






             let  checkremessa =  document.querySelectorAll('.warning');



             if(checkremessa.length > 0){

               let checkvinculo = document.querySelectorAll('.warning [class=check-vinculo]');
                   //checkvinculo.forEach(el =>  el.style.display = "inline");
                   
                   checkvinculo.forEach(function(el){
                        el.style.display = "inline"

                   })



                   //checkremessa.forEach(el =>  el.style.display = "none");
                   i = 0
                   checkremessa.forEach(function(ef){

                    valor = ef.children[9].innerHTML


                    if(valor == ""){
                                  // alert(valor)
                                  ef.children[0].children[0].style.display = "inline"
                             }


                             i++
                        })




              }



              let restante = document.querySelectorAll('.restante');
              restante.forEach(el =>  el.style.display = "none");







           //    let clear = document.querySelectorAll('.white');
           //    clear.forEach(function(el){

           //      el.children[0].children[0].style.display = "none"


           // });




         let xkk = document.querySelectorAll('.white [class=check-vinculo]');
         xkk.forEach(function(ef){



              teste = ef.style.display = "none"


          });


               // let restante = document.querySelectorAll('.restante');
               // checkvinculo.forEach(el =>  el.style.display = "inline");


           var btn_enviar = document.querySelector('#envia');
           btn_enviar.style.display = "none";

  
         


         }



       function funcaoDestrava(){
            

         let verrem =''
           $("#tdrem span").text();

         $('#true span').each(function(index, element) {
              verrem = $("#tdrem span").text();
           
              if($(this).text() == 'Sim'){

                  console.log($(this).parent("#tdcheck"));    

              }
            

            //  console.log($(this).text());


         });


      //  alert('disparo');

          seltudo1 = document.querySelector('#sel-tudo1');
          seltudo1.style.display = "none";
          seltudo2 = document.querySelector('#sel-tudo2');
          seltudo2.style.display = "inline";
          vincular = document.querySelector('#btn-vincular');
          vincular.style.display = "none";
          // gerarremessa = document.querySelector('#btn-geraremessa');
          // gerarremessa.style.display = "none";
          igpmm = document.querySelector('#btn-igpm');
          igpmm.style.display = "none";
          addparcela = document.querySelector('#btn-addparcelas');
          addparcela.style.display = "none";
          alteravendimento = document.querySelector('#btn-dia-vencimento');
          alteravendimento.style.display = "none";
          renegociarr = document.querySelector('#btn-renegociar');
          renegociarr.style.display = "none";
          atualizaparcela = document.querySelector('#btn-atualizar-parcela');
          atualizaparcela.style.display = "none";
          imprimirboletos = document.querySelector('#imp_boletos');
          imprimirboletos.style.display = "inline";
          funcboletos = document.querySelector('#func_boletos');
          funcboletos.style.display = "none";
          voltarbotoes = document.querySelector('#btn-voltar');
          voltarbotoes.style.display = "inline";


             // var checkremessa = document.querySelectorAll('.check-remessa');
             // checkremessa.forEach(el =>  el.style.display = "inline");


             // var checkvinculo = document.querySelectorAll('.check-vinculo');
             // checkvinculo.forEach(el =>  el.style.display = "inline");






             let  checkremessa =  document.querySelectorAll('.warning');



             if(checkremessa.length > 0){

               let checkvinculo = document.querySelectorAll('.warning [class=check-vinculo]');
                   //checkvinculo.forEach(el =>  el.style.display = "inline");
                   
                   checkvinculo.forEach(function(el){
                        el.style.display = "inline"

                   })



                   //checkremessa.forEach(el =>  el.style.display = "none");
                   i = 0
                   checkremessa.forEach(function(ef){

                    valor = ef.children[9].innerHTML


                    if(valor == ""){
                                  // alert(valor)
                                  ef.children[0].children[0].style.display = "inline"
                             }


                             i++
                        })




              }



              let restante = document.querySelectorAll('.restante');
              restante.forEach(el =>  el.style.display = "none");







           //    let clear = document.querySelectorAll('.white');
           //    clear.forEach(function(el){

           //      el.children[0].children[0].style.display = "none"


           // });




         let xkk = document.querySelectorAll('.white [class=check-vinculo]');
         xkk.forEach(function(ef){



              teste = ef.style.display = "none"


          });


               // let restante = document.querySelectorAll('.restante');
               // checkvinculo.forEach(el =>  el.style.display = "inline");


           var btn_enviar = document.querySelector('#envia');
           btn_enviar.style.display = "none";

  
         


         }










         function voltaBotoes(){


           //window.location.reload()
           window.location.href = 'parcelas.php?idvenda='+<?php echo $idvenda ?>+'&tipo='+<?php echo $tipo_venda?>
          
            

             // seltudo1 = document.querySelector('#sel-tudo1');
             // seltudo1.style.display = "inline";
             // seltudo2 = document.querySelector('#sel-tudo2');
             // seltudo2.style.display = "none";

             // vincular = document.querySelector('#btn-vincular');
             // vincular.style.display = "inline";
             // gerarremessa = document.querySelector('#btn-geraremessa');
             // gerarremessa.style.display = "inline";
             // igpmm = document.querySelector('#btn-igpm');
             // igpmm.style.display = "inline";
             // addparcela = document.querySelector('#btn-addparcelas');
             // addparcela.style.display = "inline";
             // alteravendimento = document.querySelector('#btn-dia-vencimento');
             // alteravendimento.style.display = "inline";
             // renegociarr = document.querySelector('#btn-renegociar');
             // renegociarr.style.display = "inline";
             // atualizaparcela = document.querySelector('#btn-atualizar-parcela');
             // atualizaparcela.style.display = "inline";
             // imprimirboletos = document.querySelector('#imp_boletos');
             // imprimirboletos.style.display = "none";
             // funcboletos = document.querySelector('#func_boletos');
             // funcboletos.style.display = "inline";
             // voltarbotoes = document.querySelector('#btn-voltar');
             // voltarbotoes.style.display = "none";

         //console.log(checkremessa);


         // let checkvinculo = document.querySelectorAll('.check-vinculo');
         // checkvinculo.forEach(el =>  el.style.display = "inline");



         let checkremessa_w = document.querySelectorAll('.warning [class=check-vinculo]');
         checkremessa_w.forEach(function(el){
           console.log(el);

           el.style.display = "none";

      });

         let checkvinculo_w = document.querySelectorAll('.warning [class=check-remessa]');
         checkvinculo_w.forEach(function(el){
              console.log(el);

              el.style.display = "none";

         });


         // let restante = document.querySelectorAll('.restante');
         // restante.forEach(el =>  el.style.display = "inline");

         let xkk = document.querySelectorAll('.white [class=check-vinculo]');
         xkk.forEach(function(ef){



              teste = ef.style.display = "inline"


          });




         let clear = document.querySelectorAll('.white');
         clear.forEach(function(ef){



              teste = ef.children[9].innerHTML

              console.log(teste)

              if(teste == ""){
                                  // alert(valor)
                                  ef.children[0].children[0].style.display = "inline"
                             }

                        });


               // let restante = document.querySelectorAll('.restante');
               // checkvinculo.forEach(el =>  el.style.display = "inline");



           var btn_enviar = document.querySelector('#envia');
           console.log(btn_enviar);
           btn_enviar.style.display = "inline";


          }




          
          $("#func_boletos").on("click" , function(){

                $("#alert1").css("display", "none");
                $("#alert2").css("display", "none");

          });




          $(document).ready(function() {
             
           


           App.init();
      });
 </script>

</body>

</html>
